Zygisk cannot activate on some old Samsung devices with old kernel (3.19-) ( S7 included )

Search This thread

nutzfreelance

Senior Member
Mar 6, 2022
155
45
i have been trying to update my S7E and S7 herolte and have run into a road block.
i love root and have been switching to the new magisk with zygisk, but it always fails for me
and i found this at the magisk github

[Wontfix] Zygisk cannot activate on some old Samsung devices with old kernel (3.19-) #5395​

Device: Samsung
Android version: N/A
Magisk version name: N/A
Magisk version code: 24102

For some old Samsung devices, there's a kernel restriction that whenever exec an ELF from /proc, the process can no longer call some systemcalls. For kernel 3.19+, the workaround is fexecve, but it does not exist for the old kernel. Users with those devices should use a custom kernel bypassing such a restriction or a newer version.


so if anyone knows of an android 11 or 12 rom for the S7 &S7E with a newer kernel please post it here. and ill test it out.

thanks for your efforts.
 

knojap

Senior Member
Apr 18, 2011
560
57
I'm using floyd rom android 10 with magisk 24.3 & zygisk. You also can use LOS 19.1 with magisk 24.1 & Zygisk.